filter.hpp File Reference

Forward declares `boost::hana::filter`. More...

## Namespaces

| boost::hana
| Namespace containing everything in the library.

## Variables

constexpr auto | boost::hana::filter
| Filter a monadic structure using a custom predicate.Given a monadic structure and a predicate, `filter` returns a new monadic structure containing only those elements that satisfy the predicate. This is a generalization of the usual `filter` function for sequences; it works for any MonadPlus. Intuitively, `filter` is somewhat equivalent to: More...

## Detailed Description

Forward declares `boost::hana::filter`.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)